Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protege.model
Class ValueType

    java.lang.Object
      edu.stanford.smi.protege.model.ValueType

All Implemented Interfaces:
  Comparable

    public class ValueType

extends Object
implements Comparable

An enumeration class for the types of slots.

Author:
  Ray Fergerson

Field Summary
`static ValueType` | `ANY`
`static ValueType` | `BOOLEAN`
`static ValueType` | `CLS`
`static ValueType` | `FLOAT`
`static ValueType` | `INSTANCE`
`static ValueType` | `INTEGER`
`static ValueType` | `STRING`
`static ValueType` | `SYMBOL`

Method Summary
`int` | `compareTo(Object o)`
`int` | `getIntValue()`
`Class` | `getJavaType()`
`static Collection` | `getValues()`
`String` | `toString()`
`static ValueType` | `valueOf(String s)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### ANY

    public static final ValueType ANY

### BOOLEAN

    public static final ValueType BOOLEAN

### CLS

    public static final ValueType CLS

### FLOAT

    public static final ValueType FLOAT

### INSTANCE

    public static final ValueType INSTANCE

### INTEGER

    public static final ValueType INTEGER

### STRING

    public static final ValueType STRING

### SYMBOL

    public static final ValueType SYMBOL

Method Detail

### getIntValue

    public int getIntValue()

### getJavaType

    public Class getJavaType()

### getValues

    public static Collection getValues()

  Returns:
    String representations of all of the allowed value-types

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`
  Returns:
    a String representation of this values-type (e.g. "String")

### valueOf

    public static ValueType valueOf(String s)

  Parameters:
    `s` - a String representation of a value-type. Normally this will have been obtained from a previous call to "toString()" on a ValueType object.
  Returns:
    the corresponding value-type

### compareTo

    public int compareTo(Object o)

  Specified by:
    `compareTo` in interface `Comparable`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Protégé is a trademark of Stanford University.
Copyright (c) 1998-2009 Stanford University.